// Listing 7.1. Generowanie pary liczb całkowitych i pary liczb zmiennoprzecinkowych za pomocą domyślnego generatora liczb losowych

//#include <opencv2/opencv.hpp>
#include <opencv2/core/core.hpp>
#include <iostream>

using namespace std;

int main(int argc, char** argv) {
  cout << "\nListing 7.1. Generowanie pary liczb całkowitych"
       << "\ni pary liczb zmiennoprzecinkowych za pomocą domyślnego"
       << "\n generatora liczb zmienniprzecinkowych."
       << "\n\nCall:\n" << argv[0] << "\n" << endl;

  cv::RNG rng = cv::theRNG();
  cout << "Liczba całkowita: "      << (int)rng   << endl;
  cout << "Druga liczba całkowita: " << int(rng)   << endl;
  cout << "Liczba zmiennoprzecinkowa: "         << (float)rng << endl;
  cout << "Druga liczba zmiennoprzecinkowa: "   << float(rng) << endl;

  return 0;

}
